Subject: Re: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Aaron Jensen <[email-masked]>
Date: Mon, 10 Feb 2020 07:21:30 -0800

On Sun, Feb 9, 2020 at 11:44 PM Alan Third <[email-masked]> wrote:
>
> Anyway, one last thing to try. I was reading up on how MacVim handled
> this same issue, and while their drawing techniques are quite
> different, they did find performance problems with CGLayers so
> switched to using CGImages. I’ve given that a go and I don’t think
> this patch is quite as fast here as the CGLayer one, but it may be
> faster for you.

9.6s, which is around what 26 macport is, twice as slow as 27, but
about 1/4 the time it took with previous versions of 28. It also
doesn't seem to slow down too much (12.8) when I go full width. It's
still usable, for sure.

No artifacts here as well, so I'd say this is a winner, at least for me.

Thank you for figuring something out.

Aaron